"use strict";

exports.__esModule = true;
exports.markdownContentToString = markdownContentToString;
exports.writeMarkdown = writeMarkdown;
exports.writeMarkdownSync = writeMarkdownSync;

var _marked = require("marked");

exports.TokensList = _marked.TokensList;

var _writeFileSafe = require("write-file-safe");

function markdownContentToString(content) {
  if (content === undefined) {
    return "";
  } else if (typeof content === "string") {
    return content;
  } else {
    return (0, _marked.parser)(content);
  }
}

function writeMarkdown(path, content) {
  return (0, _writeFileSafe.writeFile)(path, markdownContentToString(content));
}

function writeMarkdownSync(path, content) {
  return (0, _writeFileSafe.writeFileSync)(path, markdownContentToString(content));
}